2018-06-22 04:24 EDT


View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0002921FSSCPsoundpublic2014-03-20 05:28
ReporterGoober5000 
Assigned Toniffiwan 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0002921: Main hall music isn't restored after credits
DescriptionWhen you go to the tech room and view the credits tab, the credits music starts playing. If you then switch to the tech db menu, the credits music stops playing but the main hall music doesn't start. The main hall music will only start if you alt-tab away and back, or if you go back to the main hall.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0015669

niffiwan (developer)

This is a fairly simple fix - any comments?

Note that main_hall_start_music() only starts the music if it's not already playing which means that I didn't worry about trying to deal with the previous state.

https://github.com/niffiwan/fs2open.github.com/commit/6b1518eac04387d1bb9addb40d816d100ae4f032

~0015670

Goober5000 (administrator)

I don't see anything obviously wrong with it, and it makes intuitive sense. If you've tested it and it works, go ahead and commit+resolve.

~0015671

niffiwan (developer)

per discussion with Goober on IRC, I've changed the implementation. Now start the music when leaving the credits state rather than in 3x init functions. This is similar to the way most of the mainhall music is stopped/started.

~0015672

niffiwan (developer)

Fix committed to trunk@10507.
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2013-09-21 02:46 Goober5000 New Issue
2014-03-18 04:36 niffiwan Assigned To => niffiwan
2014-03-18 04:36 niffiwan Status new => assigned
2014-03-18 04:41 niffiwan Note Added: 0015669
2014-03-18 04:41 niffiwan Status assigned => feedback
2014-03-18 21:02 Goober5000 Note Added: 0015670
2014-03-18 21:02 Goober5000 Status feedback => assigned
2014-03-20 05:28 niffiwan Note Added: 0015671
2014-03-20 05:28 niffiwan Changeset attached => fs2open trunk r10507
2014-03-20 05:28 niffiwan Note Added: 0015672
2014-03-20 05:28 niffiwan Status assigned => resolved
2014-03-20 05:28 niffiwan Resolution open => fixed
+Issue History